# $Revision: 1.22 $, $Date: 2005/01/03 19:26:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Curses
%define		pnam	UI
Summary:	Curses::UI - a UI framework based on the curses library
Summary(pl):	Curses::UI - interfejs uytkownika oparty na bibliotece curses
Name:		perl-Curses-UI
Version:	0.95
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f1ee30de6cbba611acca785fa668d8b8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Curses
BuildRequires:	perl-Term-ReadKey
%if %{with tests}
BuildRequires:	perl-Test-Pod
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Curses::UI Perl module is a UI framework based on the curses library.
It can be used for the development of curses based user interfaces.

%description -l pl
Modu Perla Curses::UI stanowi szkielet oparty na bibliotece curses.
Moe suy do konstruowania interfejsw uytkownika w oparciu o
bibliotek curses.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

# fails with:
# Unable to get Terminal Size. The TIOCGWINSZ ioctl didn't work. The
# COLUMNS and LINES environment variables didn't work. The resize
# program didn't work.
# Alternatively we could add BR: X11 (which sounds a bit crazy for me)
rm -f t/13notebook.t

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# get rid of pod documentation
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Curses/UI/Tutorial.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Curses/UI.pm
%{perl_vendorlib}/Curses/UI
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Curses-UI.spec,v $
Revision 1.22  2005/01/03 19:26:12  adamg
- updated to 0.95
- BuildRequires: perl-Test-Pod (when performing tests)
- don't run t/13notebook.t

Revision 1.21  2004/11/03 22:30:14  paladine
- formatting

Revision 1.20  2004/11/02 11:01:47  adamg
- get rid of pod documentation
- release 2

Revision 1.19  2004/11/01 21:51:33  adamg
- updated to 0.94

Revision 1.18  2004/08/08 17:50:07  adamg
- updated to 0.93

Revision 1.17  2004/05/06 18:43:07  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.15  2004/04/18 23:21:48  ankry
- license/summary fixes and cosmetics

Revision 1.14  2004/03/14 17:23:59  adamg
- updated to 0.92

Revision 1.13  2004/02/15 20:08:26  adamg
- updated to 0.85
- new style bconds

Revision 1.12  2003/09/15 08:18:13  adamg
- updated to 0.75

Revision 1.11  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/06/11 22:15:37  misi3k
 - updated to 0.74

Revision 1.8  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/04/11 14:45:16  qboosh
- merge from RA-branch: up to 0.73, more informative descriptions
- release 2

Revision 1.4  2003/03/01 18:46:57  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:38:29  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:30:16  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/09/13 11:16:57  grabba
- initial version by Jarosaw Lejk
- release 1
